# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "lfu_cache"
version = "1.1.0"
authors = ["Edward Shen <code@eddie.sh>"]
include = ["src/lib.rs", "LICENSE-*", "README.md"]
description = "A simple constant time LFU cache implementation"
keywords = ["lfu", "cache", "least", "frequently", "used"]
categories = ["data-structures", "caching"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/edward-shen/lfu-cache"
[profile.release]
lto = true
codegen-units = 1

[[bench]]
name = "scaling"
path = "benches/scaling.rs"
harness = false
[dev-dependencies.criterion]
version = "0.3"
